package com.ruoyi.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.Adapter;

/**
 * 适配器Service接口
 * 
 * @author gx
 * @date 2024-02-22
 */
public interface IAdapterService extends IService<Adapter> {

    /**
     * 查询适配器列表
     * 
     * @param adapter 适配器
     * @return 适配器集合
     */
    List<Adapter> selectAdapterList(Adapter adapter);

    /**
     * 查询适配器详情
     *
     * @param id 适配器主键
     * @return 适配器
     */
     Adapter selectAdapterById(Long id);

    /**
     * 新增适配器
     * 
     * @param adapter 适配器
     * @return 结果
     */
    int insertAdapter(Adapter adapter);

    /**
     * 修改适配器
     * 
     * @param adapter 适配器
     * @return 结果
     */
    Boolean updateAdapter(Adapter adapter);

    /**
     * 批量删除适配器
     * 
     * @param ids 需要删除的适配器主键集合
     * @return 结果
     */
    int deleteAdapterByIds(Long[] ids);

    /**
     * 删除适配器信息
     * 
     * @param id 适配器主键
     * @return 结果
     */
    int deleteAdapterById(Long id);
}
